use bemily_commons_protobuf_rust::protobuf::bemily::protobuf as bcprpbp;

pub const SUBJECT: &str = "bemily.messenger.chat.messages.ss.message_attach_files";

#[derive(Clone, PartialEq, ::prost::Message)]
pub struct MessageAttachFile {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(string, tag = "2")]
  pub room_id: ::prost::alloc::string::String,
  #[prost(string, tag = "3")]
  pub message_id: ::prost::alloc::string::String,
  #[prost(string, tag = "4")]
  pub file_id: ::prost::alloc::string::String,
  #[prost(enumeration = "MessageAttachFileType", tag = "5")]
  pub attach_file_type: i32,
  #[prost(uint64, tag = "6")]
  pub created_at: u64,
  #[prost(uint64, tag = "7")]
  pub updated_at: u64,
  #[prost(uint64, optional, tag = "8")]
  pub deleted_at: ::core::option::Option<u64>,
}

pub const SUBJECT_LIST_BY_MESSAGE_ID: &str = const_format::concatcp!(SUBJECT, ".ListByMessageId");
/// subject = bemily.messenger.chat.messages.ss.message_attach_files.ListByMessageId
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListByMessageIdRequest {
  #[prost(string, tag = "1")]
  pub message_id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListByMessageIdResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<bcprpbp::rpc::error::Error>,
  #[prost(message, repeated, tag = "2")]
  pub message_attach_files: ::prost::alloc::vec::Vec<MessageAttachFile>,
}

pub const SUBJECT_DELETE: &str = const_format::concatcp!(SUBJECT, ".Delete");
/// subject = bemily.messenger.chat.messages.ss.message_attach_files.Delete
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<bcprpbp::rpc::error::Error>,
}

pub const SUBJECT_SYNCHRONIZE: &str = const_format::concatcp!(SUBJECT, ".Synchronize");
/// subject = bemily.messenger.chat.messages.ss.message_attach_files.Synchronize
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SynchronizeRequest {
  #[prost(string, tag = "1")]
  pub identity_id: ::prost::alloc::string::String,
  #[prost(uint64, optional, tag = "2")]
  pub synchronized_at: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SynchronizeResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<bcprpbp::rpc::error::Error>,
  #[prost(uint64, optional, tag = "2")]
  pub synchronized_at: ::core::option::Option<u64>,
  #[prost(message, repeated, tag = "3")]
  pub message_attach_files: ::prost::alloc::vec::Vec<MessageAttachFile>,
}
#[derive(Clone, Copy, Debug, PartialEq, Eq, Hash, PartialOrd, Ord, ::prost::Enumeration)]
#[repr(i32)]
pub enum MessageAttachFileType {
  None = 0,
  Image = 1,
  Video = 2,
  Sound = 3,
  File = 4,
}
